# TODO:
# - init script
# - test everything
Summary:	Next generation boot splashing system
Summary(pl.UTF-8):	System ekranu startowego nowej generacji
Name:		splashy
Version:	0.3.13
Release:	12
License:	GPL v2
Group:		Applications/System
Source0:	http://alioth.debian.org/frs/download.php/2691/%{name}_%{version}.tar.gz
# Source0-md5:	03b7ee4f31c56ee61463772f74bad8a0
Patch0:		format-security.patch
URL:		http://splashy.alioth.debian.org/
BuildRequires:	DirectFB-devel >= 0.9.22
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 2.0
BuildRequires:	libmagic-devel
BuildRequires:	libtool
BuildRequires:	perl-tools-pod
BuildRequires:	pkgconfig
BuildRequires:	sed >= 4.0
Requires:	%{name}-libs = %{version}-%{release}
Requires:	splashy-theme
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir	/sbin

%description
Splashy is a next generation boot splashing system for Linux systems.
Unlike other splashing systems, it needs no patches to the kernel and
it's installed like a normal package. Make your boot process eye-candy
with Splashy!

Some of Splash's most noticable features include:
- Require zero kernel patches/full functionality in user-space
- Boot/halt/reboot/runlevel-switch support
- Progressbar support (with optional border)
- Verbose mode (with F2/ESC keys)
- Configuration file in XML
- Cope with any video-mode resolution/size
- Cope with 8, 16, and 24 bit framebuffers
- Alpha channel (transparency) support
- Video mode detection
- Initramfs support
- TrueType2 fonts support
- Lots of image/animation file formats supported: jpg, png, gif, mpg,
  swf
- Low dependencies and code in C to best perform
- Full LSB support
- Multiple themes support
- Really easy to create new themes
- X detection on exit
- Smooth progressbar movement
- Animations support
- Fade in/out effects
- Totally configurable

%description -l pl.UTF-8
Splashy to system ekranu startowego nowej generacji dla Linuksa. W
przeciwieństwie do innych takich systemów nie wymaga łatania jądra i
jest instalowany jako zwykły pakiet. Pozwala upiększyć proces
uruchamiania systemu.

Najbardziej widoczne możliwości pakietu Splashy to:
- brak potrzeby łatania jądra, pełna funkcjonalność w przestrzeni
  użytkownika
- obsługa uruchamiania/wyłączania/restartowania komputera oraz wyboru
  poziomu (runlevelu)
- obsługa paska postępu (z opcjonalną ramką)
- tryb szczegółowy (z obsługą klawiszy F2/ESC)
- plik konfiguracyjny w formacie XML
- działanie z dowolną rozdzielczością/rozmiarem trybu graficznego
- działanie z framebufferami 8-, 16- i 24-bitowymi
- obsługa kanału alpha (przezroczystości)
- obsługa initramfs
- obsługa fontów TrueType
- obsługa wielu formatów obrazów/animacji: jpg, png, gif, mpg, swf
- małe zależności i kod w C dla najlepszej wydajności
- pełna obsługa LSB
- obsługa wielu motywów
- naprawdę łatwe tworzenie nowych motywów
- wykrywanie X przy kończeniu pracy
- płynne przesuwanie paska postępu
- obsługa animacji
- efekty fade in/fade out
- pełna konfigurowalność

%package libs
Summary:	Splashy libraries
Summary(pl.UTF-8):	Biblioteki Splashy
Group:		Libraries

%description libs
Splashy libraries.

%description libs -l pl.UTF-8
Biblioteki Splashy.

%package devel
Summary:	Header files for Splashy libraries
Summary(pl.UTF-8):	Pliki nagłówkowe bibliotek Splashy
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}

%description devel
Header files for Splashy libraries.

%description devel -l pl.UTF-8
Pliki nagłówkowe bibliotek Splashy.

%package static
Summary:	Static Splashy libraries
Summary(pl.UTF-8):	Statyczne biblioteki Splashy
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static Splashy libraries.

%description static -l pl.UTF-8
Statyczne biblioteki Splashy.

%package theme-default
Summary:	Default theme for splashy
Summary(pl.UTF-8):	Domyślny motyw dla systemu splashy
Group:		Themes
Requires:	%{name} = %{version}-%{release}
Provides:	splashy-theme

%description theme-default
Default theme for splashy.

%description theme-default -l pl.UTF-8
Domyślny motyw dla systemu splashy.

%package initramfs
Summary:	Splashy support scripts for initramfs-tools
Summary(pl.UTF-8):	Skrypty dla initramfs-tools ze wsparciem dla systemu splashy
Group:		Base
Requires:	%{name} = %{version}-%{release}
Requires:	initramfs-tools

%description initramfs
Splashy support scripts for initramfs-tools.

%description initramfs -l pl.UTF-8
Skrypty dla initramfs-tools ze wsparciem dla systemu splashy.

%prep
%setup -q
%patch0 -p1
sed -i -e 's#-Werror##g' configure.ac

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}

%configure \
	--enable-static

%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog HACKING NEWS README TODO
%attr(755,root,root) %{_sbindir}/*
%dir %{_datadir}/splashy
%dir %{_datadir}/splashy/themes
%{_mandir}/man?/*
%dir %{_sysconfdir}/splashy
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/splashy/*.xml
%dir %{_sysconfdir}/splashy/themes

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsplashy.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsplashy.so.1
%attr(755,root,root) %{_libdir}/libsplashycnf.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsplashycnf.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsplashy.so
%attr(755,root,root) %{_libdir}/libsplashycnf.so
%{_libdir}/libsplashy.la
%{_libdir}/libsplashycnf.la
%{_includedir}/splashy*.h
%{_pkgconfigdir}/splashy.pc

%files static
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.a

%files theme-default
%defattr(644,root,root,755)
%{_datadir}/splashy/themes/default

%if 0
%files initramfs
%defattr(644,root,root,755)
%attr(755,root,root) %{_datadir}/initramfs-tools/hooks/*
%attr(755,root,root) %{_datadir}/initramfs-tools/scripts/init-bottom/*
%attr(755,root,root) %{_datadir}/initramfs-tools/scripts/local-premount/*
%{_datadir}/initramfs-tools/modules.d/*
%endif
%changelog
* Mon Nov 04 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/splashy.git;a=log;h=master

* Mon Nov 04 2013 Jan Rękorajski <baggins@pld-linux.org> 7280d4d
- release 12 (by relup.sh)

* Fri Jul 19 2013 Jan Rękorajski <baggins@pld-linux.org> 9a5e8be
- rebuild with DirectFB 1.7.0
- release 11 (by relup.sh)

* Sat Oct 06 2012 Jan Rękorajski <baggins@pld-linux.org> 63d0450
- fir wrong dir packaging
- rel 10

* Sat Oct 06 2012 Jan Rękorajski <baggins@pld-linux.org> 8df6b4d
- package themes dir
- rel 9

* Sat Oct 06 2012 Jan Rękorajski <baggins@pld-linux.org> 9508948
- fix datadir and themes packaging
- rel 8

* Sat Oct 06 2012 Jan Rękorajski <baggins@pld-linux.org> a07425d
- fix -Wformat-security errors
- rel 7

* Sat Apr 28 2012 Jan Rękorajski <baggins@pld-linux.org> 822fa6c
- rel 6
- drop initramfs package, it was never properly tested, never really updated
  and initramfs-tools functionality is obsoleted by dracut

* Sun Feb 12 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 960d4c0
- release 5

* Sat Feb 26 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> de2cefc
- release 4

* Mon Apr 06 2009 Jan Rękorajski <baggins@pld-linux.org> 7b16613
- rel 3
- added static subpackage

* Fri Feb 27 2009 Jan Rękorajski <baggins@pld-linux.org> 4ed7459
- rel 2
- package properly initramfs-tools stuff and move it to separate package

* Mon Jan 19 2009 duddits <duddits@pld-linux.org> 8d89873
- BR: gettext-devel
- %build

* Mon Jan 12 2009 Jakub Bogusz <qboosh@pld-linux.org> 9e193da
- updated BRs (no all-static in default makefiles)
- ghost soname symlinks

* Sun Jan 11 2009 duddits <duddits@pld-linux.org> 1708b7e
- obsoleted

* Sun Jan 11 2009 duddits <duddits@pld-linux.org> 9fa1ff0
- up to 0.3.13
- some tune-ups in %files
- patches dropped
- themes dir updated

* Fri Oct 17 2008 Marcin Banasiak <marcin.banasiak@gmail.com> d9df1f4
- release 4

* Thu Jun 19 2008 Jakub Bogusz <qboosh@pld-linux.org> 6c00da0
- pl for -theme-default
- BR sed 4

* Fri Apr 11 2008 Jakub Bogusz <qboosh@pld-linux.org> 8b16e2f
- BR: libtool

* Fri Apr 11 2008 tommat <tommat@pld-linux.org> 37559c6
- more generic lib64 fix

* Tue Dec 25 2007 Elan Ruusamäe <glen@pld-linux.org> 52d09b0
- rel 3

